%define name	dowser
%define version	0.26
%define release 1mdk

Name: 	 	%{name}
Summary: 	Web research tool
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}-src.zip
URL:		http://dowser.sourceforge.net/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
Requires:	python-sqlite
BuildArch:	noarch

%description
Dowser is a research tool for the web. It clusters results from major search
engines, associates words that appear in previous searches, and keeps a local
cache of all the results you click on in a searchable database. It helps you
keep track of what you find on the web.

Future versions will have 'shallow' crawling of websites you click and a
peer-to-peer component.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
chmod 644 util.py
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
cp -fr * $RPM_BUILD_ROOT/%_datadir/%name
rm -f $RPM_BUILD_ROOT/%_datadir/%name/{*.sh,*.bat,setup*,CHANGELOG,COPYING,README,TODO}
mkdir -p $RPM_BUILD_ROOT/%_bindir
echo "#!/bin/bash" > $RPM_BUILD_ROOT/%_bindir/%name
echo "cd %_datadir/%name" >> $RPM_BUILD_ROOT/%_bindir/%name
echo "python startdowser.py $@" >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Dowser" longtitle="Web Research Tool" section="Internet/Other"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 media/dowser-moz.gif $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 media/dowser-moz.gif $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 media/dowser-moz.gif $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGELOG README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Sun Oct 17 2004 Austin Acton <austin@mandrake.org> 0.26-1mdk
- initial package
